	program test1

	real rDataMatrix(1:5,1:2)
	real rStanDataMatrix(1:5,1:2)
	real rData(1:10)

c	data rData/20.0,24.0,21.0,19.0,23.0,19.0,6.0,12.0,24.0,18.0/
	data rData/10,20,30,30,5,5,20,10,15,10/

	iCount = 0
	do j=1,2
	  do i=1,5
	    iCount=iCount+1
	    rDataMatrix(i,j) = rData(iCount)
	  enddo
	enddo

	write (*,*) rDataMatrix(1,2)
	write (*,*) rDataMatrix(2,2)
	write (*,*) rDataMatrix(3,2)
	write (*,*) rDataMatrix(4,2)
	write (*,*) rDataMatrix(5,2)

	iErr = 0

	call cluster_stan(5,2,rDataMatrix,rStanDataMatrix,iErr)

	if (iErr.eq.0) then
	  do i=1,5
	    write (*,*) 'i = ',i,rStanDataMatrix(i,1),' ',
     +				 rStanDataMatrix(i,2) 
	  enddo
	else
	  write (*,*) 'iErr = 1 !!!!!!'
	endif
	
	end
